Description

Supportanfrage

I am trying to implement 2 different QML-Scripts and using setEditor()-function to make them both inside one adtfplugin(filter).

But it seems that only the last QML-Script is considered. And in context menu also only the last QML-script will be shown.

Like this inside constructor:

SetEditor("Create Dyn. Pins & Properties", "adtf_generate_dyn_pins.qml");

    SetEditor("Create Dynamic Properties", "adtf_generate_dyn_props.qml");

 My question is, is it possible to add 2 different qml script in one constructor? such as one qml for dynamic properties and another one

for dynamic pins, and in context menu also 2 functionalities.

Lösung

Please use the free function adtf::streaming::set_editors() (

https://support.digitalwerk.net/adtf/v3/adtf_html/graph__element__editors_8h.html#a132ad1e66f57645e810918a701177ddc) instead.

This functions accepts a list of editors.

History

#1 - 2020-08-10 14:05 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to AUDI

- Department set to EF

#4 - 2020-08-11 08:14 - hidden

Hi Boyan Qian

please use the free function adtf::streaming::set_editors() (

https://support.digitalwerk.net/adtf/v3/adtf_html/graph__element__editors_8h.html#a132ad1e66f57645e810918a701177ddc) instead. This functions

accepts a list of editors.

Regards,

Martin

#5 - 2020-08-19 18:00 - hidden

- Project changed from 11 to Public Support

- Subject changed from Is possible, implement 2 QML-Script in one adtfplugin to Define more than one Filter Editor

- Description updated
https://support.digitalwerk.net/adtf/v3/adtf_html/graph__element__editors_8h.html#a132ad1e66f57645e810918a701177ddc
https://support.digitalwerk.net/adtf/v3/adtf_html/graph__element__editors_8h.html#a132ad1e66f57645e810918a701177ddc


- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#6 - 2020-10-06 10:27 - hidden

- Status changed from To Be Closed to Closed
